Przejdź do głównej treści
PATCH
/
api
/
v1
/
sending-domain
Zaktualizuj domenę wysyłkową
curl --request PATCH \
  --url https://api.railmail.app/api/v1/sending-domain \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "domainName": "<string>"
}
'
{
  "id": 123,
  "domainName": "<string>",
  "domainType": "<string>",
  "status": "<string>",
  "healthScore": 123,
  "projectId": 123,
  "dnsRecords": [
    {
      "id": 123,
      "recordType": "<string>",
      "host": "<string>",
      "expectedValue": "<string>",
      "actualValue": "<string>",
      "status": "<string>",
      "lastCheckedAt": "2023-11-07T05:31:56Z",
      "failureReason": "<string>"
    }
  ],
  "verifiedAt": "2023-11-07T05:31:56Z",
  "lastHealthCheckAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "suspensionReason": "<string>",
  "verificationAttempts": 123,
  "sendingAllowed": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Autoryzacje

X-API-Key
string
header
wymagane

Project-scoped API key, format rm_(live|test)_... . May also be sent as Authorization: Bearer rm_....

Treść

application/json
domainName
string
wymagane

Odpowiedź

Zaktualizowana domena wysyłkowa

id
integer<int64> | null
domainName
string | null
domainType
string | null
status
string | null
healthScore
integer | null
projectId
integer<int64> | null
dnsRecords
object[]
verifiedAt
string<date-time> | null
lastHealthCheckAt
string<date-time> | null
expiresAt
string<date-time> | null
suspensionReason
string | null
verificationAttempts
integer
sendingAllowed
boolean
createdAt
string<date-time> | null
updatedAt
string<date-time> | null